Delete Session
curl --request DELETE \
--url https://api.swoogo.com/api/v1/sessions/delete/{session_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://api.swoogo.com/api/v1/sessions/delete/{session_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.delete(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://api.swoogo.com/api/v1/sessions/delete/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Sessions
Delete Session
Permanently deletes a session by its unique ID. Returns a 204 No Content response on success.
Deleting a session removes it from all registrant session assignments and from the event agenda. This action cannot be undone. Any registrants assigned to this session will have it removed from their session_ids.
DELETE
/
sessions
/
delete
/
{session_id}
Delete Session
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the session you want to delete
Example:
1
Body
application/x-www-form-urlencoded
The body is of type object.
Response
⌘I